#
# Conditional build:
%bcond_without	startup		# build without resource database initiallization
%bcond_without	udev		# build with hotplug instead of udev
#
Summary:	PCMCIA initialization utils for Linux kernels >= 2.6.13
Summary(pl.UTF-8):	Narzędzia startowe pcmcia dla jąder Linuksa >= 2.6.13
Name:		pcmciautils
Version:	018
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://kernel.org/pub/linux/utils/kernel/pcmcia/%{name}-%{version}.tar.bz2
# Source0-md5:	5d85669b3440baa4532363da6caaf1b4
URL:		http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	sed >= 4.0
BuildRequires:	sysfsutils-devel >= 1.3.0
Requires:	virtual(module-tools)
%{!?with_udev:Requires:	hotplug}
%{?with_udev:Requires:	udev}
Requires:	uname(release) >= 2.6.13
Obsoletes:	pcmcia-cs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PCMCIA initialization utils to be used with Linux kernels >= 2.6.13.
They are designed for new PCMCIA subsystem and are replacement for old
pcmcia-cs package.

%description -l pl.UTF-8
Narzędzia startowe pcmcia dla jąder Linuksa >= 2.6.13. Zostały
stworzone dla nowego podsystemu PCMCIA i zastępują stary pakiet
pcmcia-cs.

%prep
%setup -q

%build
%if %{without startup}
sed -i -e "s#STARTUP =.*#STARTUP = false#g" Makefile
%endif
%if %{without udev}
sed -i -e "s#UDEV =.*#UDEV = false#g" Makefile
%endif

%{__make} -j1 \
	KERNEL_DIR=/usr \
	YACC="bison -y" \
	CC="%{__cc}" \
	OPTIMIZATION="%{rpmcflags}" \
	STRIPCMD=true

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/lspcmcia.8
echo '.so pccardctl.8' >$RPM_BUILD_ROOT%{_mandir}/man8/lspcmcia.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{with startup}
%dir %{_sysconfdir}/pcmcia
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pcmcia/config.opts
%endif
%if %{with udev}
%attr(755,root,root) /lib/udev/pcmcia-check-broken-cis
%if %{with startup}
%attr(755,root,root) /lib/udev/pcmcia-socket-startup
%endif
/lib/udev/rules.d/60-pcmcia.rules
%else
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia.agent
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia.rc
%if %{with startup}
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia_socket.agent
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia_socket.rc
%endif
%endif
%attr(755,root,root) /sbin/lspcmcia
%attr(755,root,root) /sbin/pccardctl
%{_mandir}/man8/lspcmcia.8*
%{_mandir}/man8/pccardctl.8*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pcmciautils.git;a=log;h=master

* Mon Mar 19 2012 lmasko <lmasko@pld-linux.org> 912cc47
- Chcnged R: module-itit-tools to virtual(module-tools).

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> d9b37bb
- updated to 018
- added running kernel version dependency

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 5c103ed
- updated to 017

* Sat Aug 30 2008 Maciej Pijanka <agaran@pld-linux.org> b58df75
- without udev should not depend on any udev thingies

* Mon Jul 14 2008 areq <areq@pld-linux.org> 12b18d9
- 015

* Tue Sep 11 2007 Elan Ruusamäe <glen@pld-linux.org> d246a3b
- rel 4

* Mon Aug 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e470858
- rel 3; fix MODALIAS udev rules

* Wed Feb 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 7297afc
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6004a8a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6f9b0fd
- converted to UTF-8

* Thu Jan 25 2007 Jakub Bogusz <qboosh@pld-linux.org> d4c49fb
- hotplug .agent/.rc files must be executable

* Thu Jan 25 2007 Elan Ruusamäe <glen@pld-linux.org> 22bf6ec
- %if %{without ...} works fine

* Thu Jan 25 2007 Jakub Bogusz <qboosh@pld-linux.org> d63b2fb
- fixed lspcmcia(8) manual (.so pointer instead of symlink)

* Thu Jan 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 6073386
- udev is default in current pcmciautils

* Fri Dec 08 2006 Mariusz Mazur <mmazur@pld-linux.org> 2874a26
- rel 1.5
- actually added the lspcmcia symlink to %files
- the symlinked manpage for it is still broken however; dunno what's the
  correct fix, probably fixing the rpm build process to take care of symlinks
  in man/*

* Mon Nov 13 2006 sparky <sparky@pld-linux.org> 7080ec4
- don't use %{without ...}, it may not work after inverting bcond

* Thu Jun 01 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> dfbb839
- updated to 0.14, new lspcmcia tool

* Mon Jan 16 2006 havner <havner@pld-linux.org> 737563d
- 012
- manpage added

* Wed Nov 16 2005 havner <havner@pld-linux.org> 4f640ca
- conditial R: (udev or hotplug)
- rel 1

* Tue Nov 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 370593e
- use bison instead of yacc
- avoid using running kernel headers (use llh instead)
- use optflags, avoid stripping on build

